Subject: Re: [PATCH] drivers/isdn/hisax/Kconfig: Let HISAX_NETJET skip microblaze architecture

From: Chen Gang <[email-masked]>
Date: Wed, 06 Aug 2014 00:30:41 +0800

On 08/05/2014 12:21 PM, Chen Gang wrote:
> 
> 
> On 08/05/2014 03:44 AM, Geert Uytterhoeven wrote:
>> On Mon, Aug 4, 2014 at 9:23 PM, Jean Delvare <[email-masked]> wrote:
>>>> --- a/drivers/isdn/hisax/Kconfig
>>>> +++ b/drivers/isdn/hisax/Kconfig
>>>> @@ -237,7 +237,7 @@ config HISAX_MIC
>>>>
>>>>  config HISAX_NETJET
>>>>       bool "NETjet card"
>>>> -     depends on PCI && (BROKEN || !(PPC || PARISC || M68K || (MIPS && !CPU_LITTLE_ENDIAN) || FRV || (XTENSA && !CPU_LITTLE_ENDIAN)))
>>>> +     depends on PCI && (BROKEN || !(PPC || PARISC || M68K || (MIPS && !CPU_LITTLE_ENDIAN) || FRV || (XTENSA && !CPU_LITTLE_ENDIAN) || MICROBLAZE))
>>>>       depends on VIRT_TO_BUS
>>>>       help
>>>>         This enables HiSax support for the NetJet from Traverse
>>>> @@ -249,7 +249,7 @@ config HISAX_NETJET
>>>>
>>>>  config HISAX_NETJET_U
>>>>       bool "NETspider U card"
>>>> -     depends on PCI && (BROKEN || !(PPC || PARISC || M68K || (MIPS && !CPU_LITTLE_ENDIAN) || FRV || (XTENSA && !CPU_LITTLE_ENDIAN)))
>>>> +     depends on PCI && (BROKEN || !(PPC || PARISC || M68K || (MIPS && !CPU_LITTLE_ENDIAN) || FRV || (XTENSA && !CPU_LITTLE_ENDIAN) || MICROBLAZE))
>>>>       depends on VIRT_TO_BUS
>>>>       help
>>>>         This enables HiSax support for the Netspider U interface ISDN card
>>>
>>> Fine with me, however the list is getting long. It would be better if
>>> we could depend on a functional symbol rather than a negated list of
>>> architectures. Would it make sense to have CONFIG_CPU_LITTLE_ENDIAN
>>> defined on all little-endian architectures, so that driver can depend
>>> on that if needed?
>>
>> Yes, that idea pops up once in a while.
>>
>> BTW, these days little endian PPC is also supported by Linux...
>>
>>> Alternatively, it might make more sense to list the architectures where
>>> these drivers are actually used in practice. I guess that's X86, maybe
>>> ARM and IA64, and that's all?
>>
>> || COMPILE_TEST ....
>>
> 

If no additional response within 3 days, I shall continue to try to send
patch for it.

Excuse me, I need additional thinking of for it, so I plan to send patch
for discussing and review within next week end (2014-08-17).

And welcome any members' ideas, suggestions and completions.

Thanks.

> OK, thanks, what all of you said sounds reasonable to me.
> 
> Hello Geert:
> 
> Could you help send the related patch for it?
> 
> 
> Thanks.
> 

-- 
Chen Gang

Open share and attitude like air water and life which God blessed